## ros-galactic-rosidl-default-runtime 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rosidl_default_runtime NONE)

find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "rosidl_default_runtime-extras.cmake.in"
)

=== debian/changelog ===
ros-galactic-rosidl-default-runtime (1.1.1-2focal) focal; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#18 <https://github.com/ros2/rosidl_defaults/issues/18>)
  * Contributors: shonigmann

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-rosidl-default-runtime (1.1.0-2focal) focal; urgency=high

  * Update QD to QL 1 (#15 <https://github.com/ros2/rosidl_defaults/issues/15>)
  * Update maintainers (#13 <https://github.com/ros2/rosidl_defaults/issues/13>)
  * Updated QD to 2 in README.md (#12 <https://github.com/ros2/rosidl_defaults/issues/12>)
  * Update rosidl_default_runtime QD to QL2. (#11 <https://github.com/ros2/rosidl_defaults/issues/11>)
  * Bump the QUALITY_DECLARATION to level 3. (#10 <https://github.com/ros2/rosidl_defaults/issues/10>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#9 <https://github.com/ros2/rosidl_defaults/issues/9>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Michel Hidalgo, Shane Loretz, Stephen Brawner

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-rosidl-default-runtime (1.0.0-2focal) focal; urgency=high

  * Some simple feature documentation in the README (#8 <https://github.com/ros2/rosidl_defaults/issues/8>)
  * Add Readme and QD for rosidl_default_runtime (#7 <https://github.com/ros2/rosidl_defaults/issues/7>)
  * Contributors: brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-rosidl-default-runtime (0.9.0-2focal) focal; urgency=high

  * Removed rosidl_generator_cpp as dependency and add rosidl_runtime_c and rosidl_runtime_cpp (#5 <https://github.com/ros2/rosidl_defaults/issues/5>)
  * Contributors: Alejandro Hernández Cordero

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 25 Apr 2020 07:00:00 -0000

ros-galactic-rosidl-default-runtime (0.8.0-2focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-galactic-rosidl-default-runtime (0.7.0-2focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-galactic-rosidl-default-runtime (0.6.0-2focal) focal; urgency=high

  * update manifest to adhere to tag order in schema (#3 <https://github.com/ros2/rosidl_defaults/issues/3>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-galactic-rosidl-default-runtime (0.5.0-2focal) focal; urgency=high

  * Merge pull request #26 <https://github.com/ros2/rosidl_defaults/issues/26> from ros2/remove-direct-vendor-typesupport-deps
  * add and use groups for generator and runtime packages (#25 <https://github.com/ros2/rosidl_defaults/issues/25>)
  * Merge pull request #22 <https://github.com/ros2/rosidl_defaults/issues/22> from ros2/use_typesupport_group
  * Contributors: Dirk Thomas, Jackie Kay, Mikael Arguedas, Steven! Ragnarök, Tully Foote, William Woodall, gerkey

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 24 Jun 2018 07:00:00 -0000

=== debian/control ===
Source: ros-galactic-rosidl-default-runtime
Section: misc
Priority: optional
Maintainer: Shane Loretz <sloretz@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rosidl-default-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-rosidl-generator-py, ros-galactic-rosidl-runtime-c, ros-galactic-rosidl-runtime-cpp, ros-galactic-rosidl-typesupport-c, ros-galactic-rosidl-typesupport-cpp, ros-galactic-rosidl-typesupport-introspection-c, ros-galactic-rosidl-typesupport-introspection-cpp, ros-galactic-ros-workspace
Description: A configuration package defining the runtime for the ROS interfaces.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-rosidl-default-runtime//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
